Important: Support for the legacy Fitbit Web API ends on
September 30, 2026. After this date the API will continue to operate, but Google will no longer fix bugs or provide API support. On
October 30, 2026, the Fitbit Web API will be turned off and will no longer function or sync data to or from Fitbit users. To continue accessing data for your users after this date, migrate to the Google Health API. While we are not onboarding new projects at this time, we are actively working to open access to more developers and will share updates here as availability expands. For full timelines and steps, see the
Fitbit Web API Migration Guide.
Method: users.getIrnProfile
Stay organized with collections
Save and categorize content based on your preferences.
Returns user's IRN Profile details.
HTTP request
GET https://health.googleapis.com/v4/{name=users/*/irnProfile}
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Path parameters
| Parameters |
name |
string
Required. The resource name of the IRN Profile. Format: users/{user}/irnProfile Example: users/1234567890/irnProfile or users/me/irnProfile The {user} ID is a system-generated Google Health API user ID, a string of 1-63 characters consisting of lowercase and uppercase letters, numbers, and hyphens. The literal me can also be used to refer to the authenticated user. It takes the form users/{user}/irnProfile.
|
Request body
The request body must be empty.
Response body
Irregular Rhythm Notifications (IRN) Profile details.
The Irregular Rhythm Notifications (IRN) feature checks for signs of atrial fibrillation (AFib). The IrnProfile details include information about the user's onboarding status, enrollment status, and the last update time of analyzable data for this feature.
If successful, the response body contains data with the following structure:
| JSON representation |
{
"name": string,
"onboardingStatus": boolean,
"enrollmentStatus": boolean,
"updateTime": string
} |
| Fields |
name |
string
Identifier. The resource name of this IrnProfile resource. Format: users/{user}/irnProfile Example: users/1234567890/irnProfile or users/me/irnProfile The {user} ID is a system-generated Google Health API user ID, a string of 1-63 characters consisting of lowercase and uppercase letters, numbers, and hyphens. The literal me can also be used to refer to the authenticated user.
|
onboardingStatus |
boolean
Required. Whether or not the user has onboarded onto the IRN feature.
|
enrollmentStatus |
boolean
Required. Whether or not the user is currently enrolled in having their data processed for IRN alerts.
|
updateTime |
string (Timestamp format)
Output only. The timestamp of the last piece of analyzable data synced by the user. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".
|
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/googlehealth.irn.readonly
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-05-26 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-05-26 UTC."],[],[]]